import { ITemplateFileInfo, ITemplateReader } from "./_definitions/ITemplateReader";
import { ITemplateConfigFile } from "./_definitions/ITemplateConfigFile";
export declare class TemplateReader implements ITemplateReader {
    templateName: string;
    templatePath: string;
    static getTemplateConfigFile(templatePath: any): Error | ITemplateConfigFile;
    static checkConfigFileProperties(configFile: ITemplateConfigFile): void | Error;
    templateDirName: string;
    constructor(templateName: string, templatePath: string);
    getTemplateFiles(): Promise<Error | ITemplateFileInfo[]>;
}
